Будущие обновления Windows 11 потребуют SSE4.2 — процессоры для LGA 775 и Socket AM2/AM3 останутся за бортом

Microsoft продолжает работать над крупным обновлением для операционной системы Windows 11, которое станет общедоступным осенью этого года. Тестовые сборки платформы становятся доступными участникам инсайдерской программы раньше, благодаря чему о некоторых грядущих изменениях можно узнать уже сейчас. Одним из таких нововведений в Windows 11 24H2 станет ужесточение требований к аппаратному обеспечению, из-за чего ОС не будет работать на ПК со старыми процессорами.

Будущие обновления Windows 11 потребуют SSE4.2 — процессоры для LGA 775 и Socket AM2/AM3 останутся за бортом

Источник изображения: Microsoft

В тестовой сборке Windows 11 под номером 26058, которая некоторое время назад стала доступна участникам инсайдерской программы на канале Canary, введено ограничение, в соответствии с которым для установки ОС необходим процессор с поддержкой инструкций POPCNT (population count). На этом Microsoft не остановилась, и в сборке Windows 11 под номером 26063 была реализована блокировка процессоров, которые не поддерживают набор инструкций SSE4.2.

SSE4 представляет собой расширенный набор инструкций SIMD (Single Instruction, Multiple Data), поддержку которых Intel реализовала в процессорах Penryn (Core 2) в 2006 году. Более расширенная версия SSE4.2 была реализована в процессорах Nehalem в 2008 году. Что касается процессоров AMD, то в них поддержка SSE4.2 появилась с появлением архитектуры Bulldozer. Инструкции SSE4.2 предназначены для выполнения поиска и сравнения символов на двух операндах по 16 байт за раз, что ускоряет работу XML-документов, а также вычисление CRC32 для некоторых протоколов передачи данных.

Любой процессор на архитектуре x86, выпущенный после 2008 года, должен поддерживать инструкции SSE4.2, а процессоры, выпущенные до первого поколения чипов Intel Core i5 и i7, такой поддержки не имеют. Некоторые пользователи, которые уже попробовали задействовать упомянутую сборку Windows 11 на компьютерах с процессорами без поддержки SSE4.2 подтвердили, что установка блокируется.